Bug 193450 - [STAGE] net/spread4: Enable STAGE support, Take Maintainership
Summary: [STAGE] net/spread4: Enable STAGE support, Take Maintainership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Some People
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2014-09-08 04:13 UTC by Chris Hutchinson
Modified: 2014-09-10 05:55 UTC (History)
2 users (show)

See Also:


Attachments
[request maintainer] STAGE (5.20 KB, patch)
2014-09-08 04:13 UTC, Chris Hutchinson
no flags Details | Diff
net/spread4 QA output for 2014-09-07.diff (60.71 KB, text/plain)
2014-09-08 04:15 UTC, Chris Hutchinson
no flags Details
net/spread4 [request maintainer] STAGE (5.26 KB, patch)
2014-09-08 05:12 UTC, Chris Hutchinson
no flags Details | Diff
net/spread4 QA output against 2014-09-07.diff (60.40 KB, text/plain)
2014-09-08 05:16 UTC, Chris Hutchinson
no flags Details
[request maintainer] STAGE, LICENSE_FILE (5.30 KB, patch)
2014-09-08 05:29 UTC, Chris Hutchinson
no flags Details | Diff
net/spread4 [req maintainer] STAGE, LICENSE* (5.21 KB, patch)
2014-09-10 01:06 UTC, Chris Hutchinson
no flags Details | Diff
net/spread4 QA for 2014-09-09.diff (also attached) (56.30 KB, text/plain)
2014-09-10 01:08 UTC, Chris Hutchinson
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Hutchinson 2014-09-08 04:13:35 UTC
Created attachment 147040 [details]
[request maintainer] STAGE

net/spread4

I already maintain net/spread, so why not spread4? :)

adds STAGE
modifies pkg-plist, Makefile (as necessary)

Please find 2014-09-07.diff, attached.
See also requisite QA log, net-spread4-QA-out, also attached.
Comment 1 Chris Hutchinson 2014-09-08 04:15:32 UTC
Created attachment 147041 [details]
net/spread4 QA output for 2014-09-07.diff

net/spread4

Requisite QA output for 2014-09-07.diff, also attached.

--Chris
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2014-09-08 05:11:45 UTC
As per portlint, and since spread has a special BSD-like license [1], consider adding in:

 * LICENSE & LICENSE_FILE (The latter only if there is a standalone license in distrubtion files

http://www.spread.org/license/license.html
Comment 3 Chris Hutchinson 2014-09-08 05:12:56 UTC
Created attachment 147042 [details]
net/spread4 [request maintainer] STAGE

net/spread4

Attached diff, 2014-09-07.diff, OBSOLETES previous.

All the same, except I think I used a cleaner style, for
PORTDOCS installation.
See also net-spread4-QA-output, for requisite QA output.

Thank you for all your time, and consideration.

--Chris
Comment 4 Chris Hutchinson 2014-09-08 05:16:21 UTC
Created attachment 147043 [details]
net/spread4 QA output against 2014-09-07.diff

net/spread4

Requisite QA log, for 2014-09-07.diff, also attached.

--Chris
Comment 5 Chris Hutchinson 2014-09-08 05:19:28 UTC
(In reply to Kubilay Kocak from comment #2)
> As per portlint, and since spread has a special BSD-like license [1],
> consider adding in:
> 
>  * LICENSE & LICENSE_FILE (The latter only if there is a standalone license
> in distrubtion files
> 
> http://www.spread.org/license/license.html

I wondered about that. It currently uses
PKGMESSAGE=	${WRKSRC}/license.txt

For the license file, already included.
I guess I'll give LICENSE_FILE a go.

Thanks for reviewing my submission, Kubilay.

--Chris
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2014-09-08 05:27:08 UTC
They may not be mutually exclusive considerations, and each PKGMESSAGE, and LICENSE_FILE does something different. The former is display only, the latter copies/includes the license into DATADIR.

Have a read of the license link provided earlier, their may be a clause regarding something like a 'prominent message during installation' or equivalent.
Comment 7 Chris Hutchinson 2014-09-08 05:29:28 UTC
Created attachment 147044 [details]
[request maintainer] STAGE, LICENSE_FILE

net/spread4

This is the same as the last diff. I have only added, and tested
LICENSE_FILE, as requested by Kubilay.

Please find 2014-09-07.diff, for details.

Thank you.

--Chris
Comment 8 Chris Hutchinson 2014-09-08 05:35:11 UTC
(In reply to Kubilay Kocak from comment #6)
> They may not be mutually exclusive considerations, and each PKGMESSAGE, and
> LICENSE_FILE does something different. The former is display only, the
> latter copies/includes the license into DATADIR.
> 
> Have a read of the license link provided earlier, their may be a clause
> regarding something like a 'prominent message during installation' or
> equivalent.

Yes. I read the license. I already maintain net/spread.
Which has only ever used the PKGMESSAGE method.

But, as mentioned, just previously, I have added LICENSE_FILE.

I might also note. I have always copied license.txt to
DOCSDIR/LICENSE.

Surely that covers it. :)

Thanks for reviewing my submission, Kubilay.

--Chris
Comment 9 Kubilay Kocak freebsd_committer freebsd_triage 2014-09-08 05:36:23 UTC
You're welcome
Comment 10 John Marino freebsd_committer 2014-09-08 13:17:41 UTC
(In reply to C Hutchinson from comment #0)
> I already maintain net/spread, so why not spread4? :)


I would phrase the question differently.
Why does we need both net/spread and net/spread4?  Can't we remove the older one?
Comment 11 Chris Hutchinson 2014-09-08 14:51:29 UTC
(In reply to John Marino from comment #10)
> (In reply to C Hutchinson from comment #0)
> > I already maintain net/spread, so why not spread4? :)
> 
> 
> I would phrase the question differently.
> Why does we need both net/spread and net/spread4?  Can't we remove the older
> one?

Fair assertion. I quite agree. But until I reconcile those that
depend on the old version. I'll need to keep both. I too had given
that question some thought, and had planned to bump net/spread with
an EXPIRES assertion, soon.

In short. You're correct. There [ultimately] needn't the two. But
AFAICT, there needs to be today. :)

--Chris
Comment 12 John Marino freebsd_committer 2014-09-10 00:08:27 UTC
this has compress-man target too, and <pre><post> _AND_ <options> includes.
Comment 13 John Marino freebsd_committer 2014-09-10 00:11:55 UTC
(In reply to C Hutchinson from comment #8)

> I might also note. I have always copied license.txt to
> DOCSDIR/LICENSE.
> 
> Surely that covers it. :)

This isn't correct.
You just define LICENSE_FILE to where it is in WRKSRC and it will get installed automatically.  Your precopy is unnecessary and actually wrong.
Comment 14 John Marino freebsd_committer 2014-09-10 00:17:53 UTC
Your ".if !exists" lines in post-install run 100% of the time. 

You are checking $STAGEDIR, which you control, and the files you are checking don't exist so they are created.  However, you are overriding the @sample keyword which is supposed to do the same thing.

I think in general you assume whatever was there before is correct, but this is a bad assumption.  These lines were in place to mimick @sample keyword.  Now that you use @sample, you should have removed them.  It's these kinds of details that trip you up again and again.
Comment 15 Chris Hutchinson 2014-09-10 00:21:41 UTC
Thank you, very much, John.

Please let me correct these. So I can develop better habits. By
doing them.
I also hate adding more work, to your already overburdened
workload. :)

Thanks again, John.

--Chris
Comment 16 John Marino freebsd_committer 2014-09-10 00:27:16 UTC
no, once I've started working on it, it would be more work for me to stop and take your changes.
Comment 17 John Marino freebsd_committer 2014-09-10 00:30:35 UTC
ugg, this is a gross error:

All of your man pages in pkg-plist end in ".1" or ".3" instead of the correct ".1.gz" and ".3.gz".  You knew that, right?

It is impossible for that error to pass "make check-plist".  It means it was untested.
Comment 18 Chris Hutchinson 2014-09-10 00:38:02 UTC
(In reply to John Marino from comment #17)
> ugg, this is a gross error:
> 
> All of your man pages in pkg-plist end in ".1" or ".3" instead of the
> correct ".1.gz" and ".3.gz".  You knew that, right?
> 
> It is impossible for that error to pass "make check-plist".  It means it was
> untested.

Yes. I knew that. But only when they have been packed.
Which, because of my having slipped the compress-man: nonsense in
made it OK(ish).
In short; yes. I won't do it again -- really. :)

Just about done, BTW.

--Chris
Comment 19 commit-hook freebsd_committer 2014-09-10 00:38:20 UTC
A commit references this bug:

Author: marino
Date: Wed Sep 10 00:38:04 UTC 2014
New revision: 367793
URL: http://svnweb.freebsd.org/changeset/ports/367793

Log:
  Stage net/spread4

  PR:		193450
  Submitted by:	Chris Hutchinson
  Stage fixes:	marino

Changes:
  head/net/spread4/Makefile
  head/net/spread4/pkg-plist
Comment 20 John Marino freebsd_committer 2014-09-10 00:41:00 UTC
I'm done.  You can compare mine version I just committed to yours and score yourself at home.  I'm going to bed, goodnight.
Comment 21 Chris Hutchinson 2014-09-10 01:06:19 UTC
Created attachment 147149 [details]
net/spread4 [req maintainer] STAGE, LICENSE*

net/spread4

corrects previous errors, as reported by JM.

adds STAGE, LICENSE_FILE
makes [hopefully] needed corrections.

I've expanded on LICENSE, as per my _current_ understanding
(fingers crossed)

Please see 2014-09-09.diff attached. See also net-spread4-QA-now,
also attached.

Thanks, and sorry for the extra bother.

--Chris
Comment 22 Chris Hutchinson 2014-09-10 01:08:08 UTC
Created attachment 147150 [details]
net/spread4 QA for 2014-09-09.diff (also attached)

net/spread

QA for 2014-09-09.diff, also attached.

Thanks.

--Chris
Comment 23 John Marino freebsd_committer 2014-09-10 05:55:13 UTC
Chris, honestly the extra bother is attaching new patches *after* I commit mine to complete the PR and *after* I explicitly say, "don't submit new patches, I'm working on it".  What's the point?  I closed the PR.  I get sent a lot of email and it eats up time just to figure out your post is obsolete before you make it.